Interface

Inheritance: IQueryFeaturesRawOptionsOmit<IQueryFeaturesOptions, "f">

Properties

Hide inherited properties
PropertyTypeNotes
string | IAuthenticationManager

The instance of @esri/arcgis-rest-request!ArcGISIdentityManager , @esri/arcgis-rest-request!ApplicationCredentialsManager or @esri/arcgis-rest-request!ApiKeyManager to use to authenticate this request. A token may also be passed directly as a string however using the built in authentication managers is encouraged.

credentials
inherited
RequestCredentials

A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.

distance
inherited
number
f"json" | "geojson" | "pbf" | "pbf-as-geojson" | "pbf-as-arcgis"

Response format for raw queries. Includes "pbf" for callers that need direct binary handling.

fetchOptions
inherited
RequestInit

anything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options.

gdbVersion
inherited
string
geometry
inherited
IGeometry
number
geometryType
inherited
GeometryType
string
headers
inherited
{}

Additional Headers to pass into the request.

hideToken
inherited
boolean

Prevents the token from being passed in a URL query parameter that is saved in browser history.

number
httpMethod
inherited
HTTPMethods

The HTTP method to send the request with.

inSR
inherited
string | ISpatialReference
number
number
maxUrlLength
inherited
number

If the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.

"xyFootprint"
objectIds
inherited
number[]
orderByFields
inherited
string
outFields
inherited
string[] | "*"

Attribute fields to include in the response. Defaults to "*"

outSR
inherited
string | ISpatialReference
outStatistics
inherited
IStatisticDefinition[]
params
inherited
IParams | Record<string, any>

Additional parameters to pass in the request.

portal
inherited
string

Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.

any
rawResponse
inherited
boolean

Return the raw response

relationParam
inherited
string
requestFlags
inherited
IRequestFlags

ArcGIS REST JS runtime flags.

resultOffset
inherited
number
number
resultType
inherited
"none" | "standard" | "tile"
boolean
boolean
boolean
boolean
boolean
boolean
returnIdsOnly
inherited
boolean
returnM
inherited
boolean
""
returnZ
inherited
boolean
signal
inherited
AbortSignal

An AbortSignal object instance; allows you to abort a request and via an AbortController.

spatialRel
inherited
SpatialRelationship
sqlFormat
inherited
"native" | "none" | "standard"
boolean

Suppress any ArcGIS REST JS related warnings for this request.

time
inherited
number | number[]
units
inherited
Units
url
inherited
string

Layer service url.

where
inherited
string

A where clause for the query. Defaults to "1=1"

authentication

optionalinheritedinherited
Interface Property
authentication: string | IAuthenticationManager

The instance of @esri/arcgis-rest-request!ArcGISIdentityManager , @esri/arcgis-rest-request!ApplicationCredentialsManager or @esri/arcgis-rest-request!ApiKeyManager to use to authenticate this request. A token may also be passed directly as a string however using the built in authentication managers is encouraged.

Inherited from Omit.authentication

credentials

optionalinheritedinheriteddeprecated
Interface Property
credentials: RequestCredentials

A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.

Inherited from Omit.credentials

distance

optionalinheritedinherited
Interface Property
distance: number
Inherited from Omit.distance

f

optional
Interface Property
f: "json" | "geojson" | "pbf" | "pbf-as-geojson" | "pbf-as-arcgis"

Response format for raw queries. Includes "pbf" for callers that need direct binary handling.

fetchOptions

optionalinheritedinherited
Interface Property
fetchOptions: RequestInit

anything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options.

Inherited from Omit.fetchOptions

gdbVersion

optionalinheritedinherited
Interface Property
gdbVersion: string
Inherited from Omit.gdbVersion

geometry

optionalinheritedinherited
Interface Property
geometry: IGeometry
Inherited from Omit.geometry

geometryPrecision

optionalinheritedinherited
Interface Property
geometryPrecision: number
Inherited from Omit.geometryPrecision

geometryType

optionalinheritedinherited
Interface Property
geometryType: GeometryType
Inherited from Omit.geometryType

groupByFieldsForStatistics

optionalinheritedinherited
Interface Property
groupByFieldsForStatistics: string
Inherited from Omit.groupByFieldsForStatistics

headers

optionalinheritedinheriteddeprecated
Interface Property
headers: {}

Additional Headers to pass into the request.

Type declaration
    Inherited from Omit.headers

    hideToken

    optionalinheritedinheriteddeprecated
    Interface Property
    hideToken: boolean

    Prevents the token from being passed in a URL query parameter that is saved in browser history.

    Inherited from Omit.hideToken

    historicMoment

    optionalinheritedinherited
    Interface Property
    historicMoment: number
    Inherited from Omit.historicMoment

    httpMethod

    optionalinheritedinheriteddeprecated
    Interface Property
    httpMethod: HTTPMethods

    The HTTP method to send the request with.

    Inherited from Omit.httpMethod

    inSR

    optionalinheritedinherited
    Interface Property
    inSR: string | ISpatialReference
    Inherited from Omit.inSR

    maxAllowableOffset

    optionalinheritedinherited
    Interface Property
    maxAllowableOffset: number
    Inherited from Omit.maxAllowableOffset

    maxRecordCountFactor

    optionalinheritedinherited
    Interface Property
    maxRecordCountFactor: number
    Inherited from Omit.maxRecordCountFactor

    maxUrlLength

    optionalinheritedinheriteddeprecated
    Interface Property
    maxUrlLength: number

    If the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.

    Inherited from Omit.maxUrlLength

    multipatchOption

    optionalinheritedinherited
    Interface Property
    multipatchOption: "xyFootprint"
    Inherited from Omit.multipatchOption

    objectIds

    optionalinheritedinherited
    Interface Property
    objectIds: number[]
    Inherited from Omit.objectIds

    orderByFields

    optionalinheritedinherited
    Interface Property
    orderByFields: string
    Inherited from Omit.orderByFields

    outFields

    optionalinheritedinherited
    Interface Property
    outFields: string[] | "*"

    Attribute fields to include in the response. Defaults to "*"

    Inherited from Omit.outFields

    outSR

    optionalinheritedinherited
    Interface Property
    outSR: string | ISpatialReference
    Inherited from Omit.outSR

    outStatistics

    optionalinheritedinherited
    Interface Property
    outStatistics: IStatisticDefinition[]
    Inherited from Omit.outStatistics

    params

    optionalinheritedinherited
    Interface Property
    params: IParams | Record<string, any>

    Additional parameters to pass in the request.

    Inherited from Omit.params

    portal

    optionalinheritedinherited
    Interface Property
    portal: string

    Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.

    Inherited from Omit.portal

    quantizationParameters

    optionalinheritedinherited
    Interface Property
    quantizationParameters: any
    Inherited from Omit.quantizationParameters

    rawResponse

    optionalinheritedinheriteddeprecated
    Interface Property
    rawResponse: boolean

    Return the raw response

    Inherited from Omit.rawResponse

    relationParam

    optionalinheritedinherited
    Interface Property
    relationParam: string
    Inherited from Omit.relationParam

    requestFlags

    optionalinheritedinherited
    Interface Property
    requestFlags: IRequestFlags

    ArcGIS REST JS runtime flags.

    Inherited from Omit.requestFlags

    resultOffset

    optionalinheritedinherited
    Interface Property
    resultOffset: number
    Inherited from Omit.resultOffset

    resultRecordCount

    optionalinheritedinherited
    Interface Property
    resultRecordCount: number
    Inherited from Omit.resultRecordCount

    resultType

    optionalinheritedinherited
    Interface Property
    resultType: "none" | "standard" | "tile"
    Inherited from Omit.resultType

    returnCentroid

    optionalinheritedinherited
    Interface Property
    returnCentroid: boolean
    Inherited from Omit.returnCentroid

    returnCountOnly

    optionalinheritedinherited
    Interface Property
    returnCountOnly: boolean
    Inherited from Omit.returnCountOnly

    returnDistinctValues

    optionalinheritedinherited
    Interface Property
    returnDistinctValues: boolean
    Inherited from Omit.returnDistinctValues

    returnExceededLimitFeatures

    optionalinheritedinherited
    Interface Property
    returnExceededLimitFeatures: boolean
    Inherited from Omit.returnExceededLimitFeatures

    returnExtentOnly

    optionalinheritedinherited
    Interface Property
    returnExtentOnly: boolean
    Inherited from Omit.returnExtentOnly

    returnGeometry

    optionalinheritedinherited
    Interface Property
    returnGeometry: boolean
    Inherited from Omit.returnGeometry

    returnIdsOnly

    optionalinheritedinherited
    Interface Property
    returnIdsOnly: boolean
    Inherited from Omit.returnIdsOnly

    returnM

    optionalinheritedinherited
    Interface Property
    returnM: boolean
    Inherited from Omit.returnM

    returnTrueCurves

    optionalinheritedinherited
    Interface Property
    returnTrueCurves: ""
    Inherited from Omit.returnTrueCurves

    returnZ

    optionalinheritedinherited
    Interface Property
    returnZ: boolean
    Inherited from Omit.returnZ

    signal

    optionalinheritedinheriteddeprecated
    Interface Property
    signal: AbortSignal

    An AbortSignal object instance; allows you to abort a request and via an AbortController.

    Inherited from Omit.signal

    spatialRel

    optionalinheritedinherited
    Interface Property
    spatialRel: SpatialRelationship
    Inherited from Omit.spatialRel

    sqlFormat

    optionalinheritedinherited
    Interface Property
    sqlFormat: "native" | "none" | "standard"
    Inherited from Omit.sqlFormat

    suppressWarnings

    optionalinheritedinheriteddeprecated
    Interface Property
    suppressWarnings: boolean

    Suppress any ArcGIS REST JS related warnings for this request.

    Inherited from Omit.suppressWarnings

    time

    optionalinheritedinherited
    Interface Property
    time: number | number[]
    Inherited from Omit.time

    units

    optionalinheritedinherited
    Interface Property
    units: Units
    Inherited from Omit.units

    url

    inheritedinherited
    Interface Property
    url: string

    Layer service url.

    Inherited from Omit.url

    where

    optionalinheritedinherited
    Interface Property
    where: string

    A where clause for the query. Defaults to "1=1"

    Inherited from Omit.where

    Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.